Get payment details
Payments and Invoices
Get payment details
Retrieve detailed information about a specific payment by ID
POST
Get payment details
Path Parameters
Payment ID
Body
application/json
Array of fields to expand in the response
Available options:
provider Response
Invoice view
Status code of the response
Available options:
200, 201, 202 Payment
Example:
{
"id": "payment_01979449-dc2f-71e4-b565-42d78c0d83aa",
"idempotency_key": "1b70f35483e563e009967abe74308e6977f9b36f1bfc05168fa22104b64293d6-invoice_01979284-7610-79f8-86c4-978168730054",
"organization_id": "org_01972206-5a87-7c27-bad2-a6cf669a0a91",
"provider_id": "provider_solana_usdc",
"invoice_id": "invoice_01979284-7610-79f8-86c4-978168730054",
"currency": "BITCOIN",
"price": "0.000126300000000000000000000000",
"price_usd": "13.2750000000000000000000000000",
"status": "COMPLETED",
"created_at": "2025-07-04 18:10:53",
"updated_at": "2025-07-04 18:15:23",
"happened_at": "2025-07-04 18:15:20"
}Message of the response, human readable
Example:
"Resource created successfully"
API environment
Available options:
development, production Error message of the response, human readable
Example:
"Invalid email address"
Useful informaiton, not always present, to debug the response
Examples:
{ "request_id": "req_1234567890" }"Some pertinent log message"
Validator response object, each key is the field name and value is the error message
Example:
{
"email": "Invalid email address",
"password": "Password is required"
}Support ID linked to the response, used to identify it when talking with our team
Example:
"support_uuidv7-something-else"

